For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList audio edits
      • POSTCreate audio edit
      • GETGet audio edit
Status
LogoLogo
API ReferenceAudio Edit

Create audio edit

POST
https://app.resemble.ai/api/v2/edit
POST
/api/v2/edit
$curl -X POST https://app.resemble.ai/api/v2/edit \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F input_audio=@string \
> -F original_transcript="string" \
> -F target_transcript="string" \
> -F voice_uuid="string"
200Successful
1{
2 "success": true,
3 "item": {
4 "uuid": "string",
5 "voice_uuid": "string",
6 "original_transcript": "string",
7 "target_transcript": "string",
8 "input_audio_url": "string"
9 }
10}
Edit audio segments using voice synthesis
Was this page helpful?
Previous

Get audio edit

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects a multipart form containing a file.
input_audiofileRequired

WAV, MP3, M4A, or WMA file (< 20 seconds)

original_transcriptstringRequired
Accurate transcript of the uploaded audio
target_transcriptstringRequired
Desired replacement text
voice_uuidstringRequired
Voice used to render the edited segment

Response

Edit job created
successboolean
itemobject